Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Sreedev_M_
Beginner
33 Views

cordova-plugin-networking-multipeer Build Error IOS

Hi,

I used this https://www.npmjs.com/package/cordova-plugin-networking-multipeer plugin. This gives an error as attached while building for ios target 8.0. Can you please help ?

 

Tags (2)
0 Kudos
1 Reply
PaulF_IntelCorp
Employee
33 Views

That plugin has a dependent named cordova-plugin-add-swift-support, which relies on Cordova hooks scripts to make it work. Our build system does not allow hooks scripts, which means that the dependent plugin will not build properly with our build system. That is why you see all those build errors for the .swift file that is part of the other plugin. See this plugin.xml file for the list of problem hooks scripts > https://github.com/akofman/cordova-plugin-add-swift-support/blob/master/plugin.xml <

You'll have to build your app using Cordova CLI, I don't think PhoneGap Build allows for hooks scripts, either. They represent a security threat, which is one of the reasons we do not allow them.

If you want to convert your project to CLI, see these instructions > https://software.intel.com/en-us/forums/intel-xdk/topic/685326#comment-1885369 < and try using this script > https://github.com/xmnboy/xdk-to-cli < to help convert your project to something you can build with Cordova CLI.

0 Kudos